<?php require_once( '../couch/cms.php' ); ?>
<cms:template title="Import Data" parent="_us_geotagging_" order="1">
	<cms:globals>
        <cms:editable name='sample_csv' label="Sample Download" max_size='2000000' type='file' label='Sample CSV' />
    </cms:globals>
	<cms:editable name='import_file' label="Upload File Here" required='0' allowed_ext='csv' max_size='2000000' type='securefile' label='CSV' />
</cms:template>
<cms:embed "header.html" />
<cms:set mystart="<cms:gpc 'import' method='get' scope='global' />" />
<!-- Site Content -->
<div class="container-fluid">
	<div class="row">
		<div class="col-md-3 col-md-offset-2">
			<div class="panel panel-primary">
				<div class="panel-heading">
					Existing Data Count in Portal
				</div>
				<div class="panel-body">
					<h1 class="text-center gxcpl-no-margin">
						12
					</h1>
				</div>
			</div>
			<div class="gxcpl-ptop-10"></div>
		</div>
		<div class="col-md-4">
			<div class="panel panel-primary">
				<div class="panel-heading">
					Sample CSV
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-12 text-center">
							<div class="btn-group" role="group" aria-label="...">
								<button class="btn gxcpl-btn-primary gxcpl-card-2" onclick="document.getElementById('link').click()">
									<i class="fa fa-download"></i> Download Sample Sheet
								</button>
								<button class="btn gxcpl-btn-danger gxcpl-card-2" type="button" data-toggle="collapse" data-target="#import-instructions" aria-expanded="false" aria-controls="import-instructions">
									<i class="fa fa-file-text-o"></i> Instructions
								</button>
							</div>
							<!-- Download Sample File -->
							<a id="link" href="<cms:show_globals><cms:show sample_csv /></cms:show_globals>" download hidden></a>
							<!-- Download Sample File -->
							<div class="gxcpl-ptop-5"></div>
						</div>
					</div>
				</div>
			</div>
			<div class="gxcpl-ptop-10"></div>
		</div>
		<!-- Import Instructions -->
		<div class="col-md-12">
			<div class="collapse" id="import-instructions">
				<div class="well">
					<strong>Import Instructions</strong>
					<div class="gxcpl-potp-5"></div>
					<ol>
						<li>
							Download the sample sheet.
						</li>
						<li>
							Open the sample sheet to reveal the content. Please note that the samle sheet contains only the headers.
						</li>
						<li>
							Copy only the data from the client portal, without the header, to this sample sheet.
						</li>
						<li>
							Change the dates to yyyy-mm-dd format in the column "assigned_date".
						</li>
						<li>
							Add the Agent Names in the last column named "agent"
						</li>
						<li>
							Save the file as a Comma Separated Value, i.e. csv file, with the option CSV (Comma delimited) (*.csv) from the "Save as <u>t</u>ype" dropdown after giving a name of your chioce to the file.
						</li>
						<li>
							Use the "Upload Data Sheet" panel below to upload the save file from Step#6, above.
						</li>
					</ol>
				</div>
			</div>
		</div>
		<!-- Import Instructions -->
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					Upload Data Sheet
				</div>
				<div class="panel-body">
					<cms:if mystart >
				        <cms:csv_reader 
				            file="<cms:show k_admin_path />addons/csv/apartmentsurvey.csv" 
				            paginate='1'
				            limit='20'
				            prefix='_'
				            use_cache='0'
				        >
				            <cms:if k_paginated_top >
				            
				                <cms:if k_paginate_link_next >
				                    <script language="JavaScript" type="text/javascript">
				                        var myVar;
				                        myVar = window.setTimeout( 'location.href="<cms:show k_paginate_link_next />";', 1000 );
				                    </script>
				                    <button onclick="clearTimeout(myVar);">Stop</button>
				                <cms:else />
				                    <div class="alert alert-success">
				                    	<strong>Success!</strong> File imported successfully
				                    </div>
				                </cms:if>
				                
				                <strong>STATUS:</strong> <em><cms:show k_current_page /> / <cms:show k_total_pages /> pages (Total <cms:show k_total_records /> records. Showing <cms:show k_paginate_limit /> records per page)</em>
				                
				                <div class="table-responsive">
				                <table class="table" border='0'>
				                    <thead>
				                        <tr>
				                            <th>#</th>
				                            <cms:csv_headers>
				                                <th><cms:show value /></th>
				                            </cms:csv_headers>    
				                        </tr>
				                    </thead>
				                    <tbody>
				            </cms:if>
				            
				            <tr>
				                <td><cms:show k_current_record /></td>
				                <cms:csv_columns>
				                    <td><cms:show value /></td>
				                </cms:csv_columns>    
				                
				                <!-- database operation here -->
				                
				                    <cms:db_persist
				                        _auto_title       = '0'
				                        _invalidate_cache = '0'
				                        _masterpage       = 'us-offline-geotagging/data.php'
				                        _mode             = 'create'

				                        k_page_title      = "<cms:show _apt_name />"
				                        k_page_name       = k_page_title

				                        apt_addr          = _apt_addr
				                        assigned_to       = _assigned_to
				                        assigned_date     = "<cms:date _assigned_date format='Y-m-d' />"
				                        status            = _status
				                        site_map_uploaded = _site_map_uploaded
				                        latitude          = _latitude
				                        longitude         = _longitude
				                        agent             = _agent
				                    >
				                        <cms:if k_error>
				                            <strong style="color:red;">ERROR:</strong> <cms:show k_error/>
				                        </cms:if>
				                    </cms:db_persist>
				                
				                <!-- end database operation -->
				                
				            </tr>
				                
				            <cms:if k_paginated_bottom >    
				                        <tr>
				                            <td></td>
				                            <td colspan='<cms:show k_csv_header_count />'>
				                                <cms:paginator simple='1' />
				                            </td>
				                        </tr>
				                    </tbody>
				                </table>   
				            </div>
				            </cms:if>
				            
				        </cms:csv_reader>    
				    <cms:else/>
				        <button onclick='location.href="<cms:add_querystring k_page_link 'import=1' />"'>Start!</button>
				    </cms:if>
				</div>
			</div>
			<div class="gxcpl-ptop-10"></div>
		</div>
	</div>
</div>
<!-- Site Content -->
<cms:embed "footer.html" />
<?php COUCH::invoke(); ?>